<?xml version="1.0" encoding="utf-8"?>
<layout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools">

    <data>
        <import type="com.lukouguoji.module_base.common.DetailsPageType" />
        <import type="com.lukouguoji.module_base.ui.weight.data.layout.DataLayoutType" />

        <import type="com.lukouguoji.module_base.ui.weight.search.layout.SearchLayoutType" />
        <variable
            name="viewModel"
            type="com.sixin.module_p.ui.gnj.accidentVisa.add.PdaAccidentVisaAddViewModel" />
    </data>


    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:background="@color/white"
        android:id="@+id/largeView"
        android:orientation="vertical">

        <include layout="@layout/title_tool_bar" />

        <androidx.core.widget.NestedScrollView
            shape_radius="@{8}"
            android:id="@+id/addVisa"
            android:layout_width="match_parent"
            android:layout_height="0dp"
            android:layout_weight="1"
            android:background="@color/white"
            android:paddingHorizontal="10dp"
            android:paddingVertical="5dp">
            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:orientation="vertical">
                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="40dp"
                    android:layout_marginHorizontal="10dp"
                    android:layout_marginTop="10dp">
                    <TextView
                        completeSpace="@{7}"
                        android:layout_width="wrap_content"
                        android:layout_height="match_parent"
                        android:text="航班号 *"
                        android:visibility="visible"
                        android:textColor="@android:color/holo_red_dark"
                        android:gravity="center_vertical"/>

                    <LinearLayout
                        android:layout_width="0dp"
                        android:layout_height="match_parent"
                        android:layout_marginLeft="10dp"
                        android:layout_weight="1"
                        android:background="@drawable/bg_search_row"
                        android:gravity="center_vertical"
                        android:paddingHorizontal="10dp">


                        <EditText
                            setTextAllCaps="@{true}"
                            android:enabled="@{viewModel.pageType != DetailsPageType.Details}"
                            android:layout_width="match_parent"
                            android:layout_height="match_parent"
                            android:background="@color/backgroud_gray"
                            android:text="@={viewModel.dataBean.fno}"
                            required="true"
                            android:textSize="14sp" />

                    </LinearLayout>

                </LinearLayout>

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="40dp"
                    android:layout_marginHorizontal="10dp"
                    android:layout_marginTop="10dp">

                    <TextView
                        completeSpace="@{7}"
                        android:layout_width="wrap_content"
                        android:layout_height="match_parent"
                        android:text="起始站"
                        android:visibility="visible"
                        android:gravity="center_vertical"/>

                    <LinearLayout
                        android:layout_width="0dp"
                        android:layout_height="match_parent"
                        android:layout_marginLeft="10dp"
                        android:layout_weight="1"
                        android:background="@drawable/bg_search_row"
                        android:gravity="center_vertical"
                        android:paddingHorizontal="10dp">


                        <EditText
                            setTextAllCaps="@{true}"
                            android:enabled="@{viewModel.pageType != DetailsPageType.Details}"
                            android:layout_width="match_parent"
                            android:layout_height="match_parent"
                            android:background="@color/backgroud_gray"
                            android:text="@={viewModel.dataBean.dep}"
                            android:textSize="14sp" />

                    </LinearLayout>

                </LinearLayout>

                <LinearLayout

                    android:layout_width="match_parent"
                    android:layout_height="40dp"
                    android:layout_marginHorizontal="10dp"
                    android:layout_marginTop="10dp">

                    <TextView
                        completeSpace="@{7}"
                        android:layout_width="wrap_content"
                        android:layout_height="match_parent"
                        android:text="飞机号"
                        android:visibility="visible"
                        android:gravity="center_vertical"/>

                    <LinearLayout
                        android:layout_width="0dp"
                        android:layout_height="match_parent"
                        android:layout_marginLeft="10dp"
                        android:layout_weight="1"
                        android:background="@drawable/bg_search_row"
                        android:gravity="center_vertical"
                        android:paddingHorizontal="10dp">


                        <EditText
                            setTextAllCaps="@{true}"
                            android:enabled="@{viewModel.pageType != DetailsPageType.Details}"
                            android:layout_width="match_parent"
                            android:layout_height="match_parent"
                            android:background="@color/backgroud_gray"
                            android:text="@={viewModel.dataBean.registeration}"
                            android:textSize="14sp" />

                    </LinearLayout>

                </LinearLayout>

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="40dp"
                    android:layout_marginHorizontal="10dp"
                    android:layout_marginTop="10dp">

                    <TextView
                        completeSpace="@{7}"
                        android:layout_width="wrap_content"
                        android:layout_height="match_parent"
                        android:text="声明价值"
                        android:visibility="visible"
                        android:gravity="center_vertical"/>

                    <LinearLayout
                        android:layout_width="0dp"
                        android:layout_height="match_parent"
                        android:layout_marginLeft="10dp"
                        android:layout_weight="1"
                        android:background="@drawable/bg_search_row"
                        android:gravity="center_vertical"
                        android:paddingHorizontal="10dp">


                        <EditText
                            setTextAllCaps="@{true}"
                            android:enabled="@{viewModel.pageType != DetailsPageType.Details}"
                            android:layout_width="match_parent"
                            android:layout_height="match_parent"
                            android:background="@color/backgroud_gray"
                            android:text="@={viewModel.dataBean.declareamount}"
                            android:textSize="14sp" />

                    </LinearLayout>

                </LinearLayout>

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="40dp"
                    android:layout_marginHorizontal="10dp"
                    android:layout_marginTop="10dp">

                    <TextView
                        completeSpace="@{7}"
                        android:layout_width="wrap_content"
                        android:layout_height="match_parent"
                        android:text="负责商务载重的飞行组组员"
                        android:visibility="visible"
                        android:gravity="center_vertical"/>

                    <LinearLayout
                        android:layout_width="0dp"
                        android:layout_height="match_parent"
                        android:layout_marginLeft="10dp"
                        android:layout_weight="1"
                        android:background="@drawable/bg_search_row"
                        android:gravity="center_vertical"
                        android:paddingHorizontal="10dp">


                        <EditText
                            setTextAllCaps="@{true}"
                            android:enabled="@{viewModel.pageType != DetailsPageType.Details}"
                            android:layout_width="match_parent"
                            android:layout_height="match_parent"
                            android:background="@color/backgroud_gray"
                            android:text="@={viewModel.dataBean.fltcrew}"
                            android:textSize="14sp" />

                    </LinearLayout>

                </LinearLayout>

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="40dp"
                    android:layout_marginHorizontal="10dp"
                    android:layout_marginTop="10dp">

                    <TextView
                        completeSpace="@{7}"
                        android:layout_width="wrap_content"
                        android:layout_height="match_parent"
                        android:text="货运单或邮件路单号"
                        android:visibility="visible"
                        android:gravity="center_vertical"/>

                    <LinearLayout
                        android:layout_width="0dp"
                        android:layout_height="match_parent"
                        android:layout_marginLeft="10dp"
                        android:layout_weight="1"
                        android:background="@drawable/bg_search_row"
                        android:gravity="center_vertical"
                        android:paddingHorizontal="10dp">


                        <EditText
                            setTextAllCaps="@{true}"
                            android:enabled="@{viewModel.pageType != DetailsPageType.Details}"
                            android:layout_width="match_parent"
                            android:layout_height="match_parent"
                            android:background="@color/backgroud_gray"
                            android:text="@={viewModel.dataBean.mawbno}"
                            android:textSize="14sp" />

                    </LinearLayout>

                </LinearLayout>


                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="40dp"
                    android:layout_marginHorizontal="10dp"
                    android:layout_marginTop="10dp">

                    <TextView
                        completeSpace="@{7}"
                        android:layout_width="wrap_content"
                        android:layout_height="match_parent"
                        android:text="发运站"
                        android:visibility="visible"
                        android:gravity="center_vertical"/>

                    <LinearLayout
                        android:layout_width="0dp"
                        android:layout_height="match_parent"
                        android:layout_marginLeft="10dp"
                        android:layout_weight="1"
                        android:background="@drawable/bg_search_row"
                        android:gravity="center_vertical"
                        android:paddingHorizontal="10dp">


                        <EditText
                            setTextAllCaps="@{true}"
                            android:enabled="@{viewModel.pageType != DetailsPageType.Details}"
                            android:layout_width="match_parent"
                            android:layout_height="match_parent"
                            android:background="@color/backgroud_gray"
                            android:text="@={viewModel.dataBean.dep}"
                            android:textSize="14sp" />

                    </LinearLayout>

                </LinearLayout>


                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="40dp"
                    android:layout_marginHorizontal="10dp"
                    android:layout_marginTop="10dp">

                    <TextView
                        completeSpace="@{7}"
                        android:layout_width="wrap_content"
                        android:layout_height="match_parent"
                        android:text="到达站"
                        android:visibility="visible"
                        android:gravity="center_vertical"/>

                    <LinearLayout
                        android:layout_width="0dp"
                        android:layout_height="match_parent"
                        android:layout_marginLeft="10dp"
                        android:layout_weight="1"
                        android:background="@drawable/bg_search_row"
                        android:gravity="center_vertical"
                        android:paddingHorizontal="10dp">


                        <EditText
                            setTextAllCaps="@{true}"
                            android:enabled="@{viewModel.pageType != DetailsPageType.Details}"
                            android:layout_width="match_parent"
                            android:layout_height="match_parent"
                            android:background="@color/backgroud_gray"
                            android:text="@={viewModel.dataBean.dest}"
                            android:textSize="14sp" />

                    </LinearLayout>

                </LinearLayout>


                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="40dp"
                    android:layout_marginHorizontal="10dp"
                    android:layout_marginTop="10dp">

                    <TextView
                        completeSpace="@{7}"
                        android:layout_width="wrap_content"
                        android:layout_height="match_parent"
                        android:text="托运人名称及住址"
                        android:visibility="visible"
                        android:gravity="center_vertical"/>

                    <LinearLayout
                        android:layout_width="0dp"
                        android:layout_height="match_parent"
                        android:layout_marginLeft="10dp"
                        android:layout_weight="1"
                        android:background="@drawable/bg_search_row"
                        android:gravity="center_vertical"
                        android:paddingHorizontal="10dp">


                        <EditText
                            setTextAllCaps="@{true}"
                            android:enabled="@{viewModel.pageType != DetailsPageType.Details}"
                            android:layout_width="match_parent"
                            android:layout_height="match_parent"
                            android:background="@color/backgroud_gray"
                            android:text="@={viewModel.dataBean.shipper}"
                            android:textSize="14sp" />

                    </LinearLayout>

                </LinearLayout>


                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="40dp"
                    android:layout_marginHorizontal="10dp"
                    android:layout_marginTop="10dp">

                    <TextView
                        completeSpace="@{7}"
                        android:layout_width="wrap_content"
                        android:layout_height="match_parent"
                        android:text="收货人名称及住址"
                        android:visibility="visible"
                        android:gravity="center_vertical"/>

                    <LinearLayout
                        android:layout_width="0dp"
                        android:layout_height="match_parent"
                        android:layout_marginLeft="10dp"
                        android:layout_weight="1"
                        android:background="@drawable/bg_search_row"
                        android:gravity="center_vertical"
                        android:paddingHorizontal="10dp">


                        <EditText
                            setTextAllCaps="@{true}"
                            android:enabled="@{viewModel.pageType != DetailsPageType.Details}"
                            android:layout_width="match_parent"
                            android:layout_height="match_parent"
                            android:background="@color/backgroud_gray"
                            android:text="@={viewModel.dataBean.consignee}"
                            android:textSize="14sp" />

                    </LinearLayout>

                </LinearLayout>


                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="40dp"
                    android:layout_marginHorizontal="10dp"
                    android:layout_marginTop="10dp">

                    <TextView
                        completeSpace="@{7}"
                        android:layout_width="wrap_content"
                        android:layout_height="match_parent"
                        android:text="件数"
                        android:visibility="visible"
                        android:gravity="center_vertical"/>

                    <LinearLayout
                        android:layout_width="0dp"
                        android:layout_height="match_parent"
                        android:layout_marginLeft="10dp"
                        android:layout_weight="1"
                        android:background="@drawable/bg_search_row"
                        android:gravity="center_vertical"
                        android:paddingHorizontal="10dp">


                        <EditText
                            setTextAllCaps="@{true}"
                            android:enabled="@{viewModel.pageType != DetailsPageType.Details}"
                            android:layout_width="match_parent"
                            android:layout_height="match_parent"
                            android:background="@color/backgroud_gray"
                            android:text="@={viewModel.dataBean.pc}"
                            android:textSize="14sp" />

                    </LinearLayout>

                </LinearLayout>


                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="40dp"
                    android:layout_marginHorizontal="10dp"
                    android:layout_marginTop="10dp">

                    <TextView
                        completeSpace="@{7}"
                        android:layout_width="wrap_content"
                        android:layout_height="match_parent"
                        android:text="重量"
                        android:visibility="visible"
                        android:gravity="center_vertical"/>

                    <LinearLayout
                        android:layout_width="0dp"
                        android:layout_height="match_parent"
                        android:layout_marginLeft="10dp"
                        android:layout_weight="1"
                        android:background="@drawable/bg_search_row"
                        android:gravity="center_vertical"
                        android:paddingHorizontal="10dp">


                        <EditText
                            setTextAllCaps="@{true}"
                            android:enabled="@{viewModel.pageType != DetailsPageType.Details}"
                            android:layout_width="match_parent"
                            android:layout_height="match_parent"
                            android:background="@color/backgroud_gray"
                            android:text="@={viewModel.dataBean.weight}"
                            android:textSize="14sp" />

                    </LinearLayout>

                </LinearLayout>


                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="40dp"
                    android:layout_marginHorizontal="10dp"
                    android:layout_marginTop="10dp">

                    <TextView
                        completeSpace="@{7}"
                        android:layout_width="wrap_content"
                        android:layout_height="match_parent"
                        android:text="包装情况"
                        android:visibility="visible"
                        android:gravity="center_vertical"/>

                    <LinearLayout
                        android:layout_width="0dp"
                        android:layout_height="match_parent"
                        android:layout_marginLeft="10dp"
                        android:layout_weight="1"
                        android:background="@drawable/bg_search_row"
                        android:gravity="center_vertical"
                        android:paddingHorizontal="10dp">


                        <EditText
                            setTextAllCaps="@{true}"
                            android:enabled="@{viewModel.pageType != DetailsPageType.Details}"
                            android:layout_width="match_parent"
                            android:layout_height="match_parent"
                            android:background="@color/backgroud_gray"
                            android:text="@={viewModel.dataBean.packing}"
                            android:textSize="14sp" />

                    </LinearLayout>

                </LinearLayout>


                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="40dp"
                    android:layout_marginHorizontal="10dp"
                    android:layout_marginTop="10dp">

                    <TextView
                        completeSpace="@{7}"
                        android:layout_width="wrap_content"
                        android:layout_height="match_parent"
                        android:text="所附证件"
                        android:visibility="visible"
                        android:gravity="center_vertical"/>

                    <LinearLayout
                        android:layout_width="0dp"
                        android:layout_height="match_parent"
                        android:layout_marginLeft="10dp"
                        android:layout_weight="1"
                        android:background="@drawable/bg_search_row"
                        android:gravity="center_vertical"
                        android:paddingHorizontal="10dp">

                        <EditText
                            setTextAllCaps="@{true}"
                            android:enabled="@{viewModel.pageType != DetailsPageType.Details}"
                            android:layout_width="match_parent"
                            android:layout_height="match_parent"
                            android:background="@color/backgroud_gray"
                            android:text="@={viewModel.dataBean.annex}"
                            android:textSize="14sp" />
                    </LinearLayout>
                </LinearLayout>

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="40dp"
                    android:layout_marginHorizontal="10dp"
                    android:layout_marginTop="10dp">

                    <TextView
                        completeSpace="@{7}"
                        android:layout_width="wrap_content"
                        android:layout_height="match_parent"
                        android:text="事故发生或发现经过"
                        android:visibility="visible"
                        android:gravity="center_vertical"/>

                    <LinearLayout
                        android:layout_width="0dp"
                        android:layout_height="match_parent"
                        android:layout_marginLeft="10dp"
                        android:layout_weight="1"
                        android:background="@drawable/bg_search_row"
                        android:gravity="center_vertical"
                        android:paddingHorizontal="10dp">


                        <EditText
                            setTextAllCaps="@{true}"
                            android:enabled="@{viewModel.pageType != DetailsPageType.Details}"
                            android:layout_width="match_parent"
                            android:layout_height="match_parent"
                            android:background="@color/backgroud_gray"
                            android:text="@={viewModel.dataBean.accidentdes}"
                            android:textSize="14sp" />

                    </LinearLayout>

                </LinearLayout>


                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="40dp"
                    android:layout_marginHorizontal="10dp"
                    android:layout_marginTop="10dp">

                    <TextView
                        completeSpace="@{7}"
                        android:layout_width="wrap_content"
                        android:layout_height="match_parent"
                        android:text="结论"
                        android:visibility="visible"
                        android:gravity="center_vertical"/>

                    <LinearLayout
                        android:layout_width="0dp"
                        android:layout_height="match_parent"
                        android:layout_marginLeft="10dp"
                        android:layout_weight="1"
                        android:background="@drawable/bg_search_row"
                        android:gravity="center_vertical"
                        android:paddingHorizontal="10dp">


                        <EditText
                            setTextAllCaps="@{true}"
                            android:enabled="@{viewModel.pageType != DetailsPageType.Details}"
                            android:layout_width="match_parent"
                            android:layout_height="match_parent"
                            android:background="@color/backgroud_gray"
                            android:text="@={viewModel.dataBean.conclusion}"
                            android:textSize="14sp" />

                    </LinearLayout>

                </LinearLayout>

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginHorizontal="10dp"
                    android:layout_marginTop="10dp"
                    android:orientation="horizontal">

                    <TextView
                        completeSpace="@{7}"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:text="图片"
                        android:visibility="visible"
                        android:gravity="center_vertical"/>
                    <LinearLayout
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_marginLeft="8dp">
                        <androidx.recyclerview.widget.RecyclerView
                            android:id="@+id/rv"
                            itemLayoutId="@{viewModel.itemLayoutId}"
                            viewHolder="@{viewModel.itemViewHolder}"
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:layout_margin="10dp"
                            app:layoutManager="androidx.recyclerview.widget.GridLayoutManager"
                            app:spanCount="4"
                            tools:listitem="@layout/pda_item_image_select" />
                    </LinearLayout>

                </LinearLayout>
                <View
                    android:layout_width="0dp"
                    android:layout_height="10dp"
                    android:layout_weight="1" />

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="50dp"
                    android:orientation="horizontal"
                    android:layout_gravity="right">
                    <View
                        android:layout_width="0dp"
                        android:layout_height="0dp"
                        android:layout_weight="1" />
                    <TextView
                        visible="@{viewModel.pageType != DetailsPageType.Details}"
                        android:layout_width="120dp"
                        android:layout_height="50dp"
                        android:layout_gravity="end"
                        android:background="@color/colorPrimary"
                        android:gravity="center"
                        android:onClick="@{()-> viewModel.reSet()}"
                        android:text="重置"
                        android:textColor="@color/white"
                        android:textSize="18sp" />
                    <View
                        android:layout_width="1dp"
                        android:layout_height="1dp"
                        android:background="@color/color_e0" />
                    <TextView
                        visible="@{viewModel.pageType != DetailsPageType.Details}"
                        android:layout_width="120dp"
                        android:layout_height="50dp"
                        android:layout_gravity="end"
                        android:background="@color/colorPrimary"
                        android:gravity="center"
                        android:onClick="@{()-> viewModel.onSaveClick()}"
                        android:text="保存"
                        android:textColor="@color/white"
                        android:textSize="18sp" />
                </LinearLayout>
            </LinearLayout>
        </androidx.core.widget.NestedScrollView>




    </LinearLayout>
</layout>